{function fields_table fields=null hide=false}
<table class="light reviewsplus-entity-fields-table" {if $hide}style="display: none;"{/if}>
    <thead>
    <tr>
        <th class="min-width"></th>
        <th >Имя</th>
        <th>Тип</th>
        <th class="min-width"></th>
        <th>Обязательное</th>
        <th>Показывать</th>
        <th>Удалить</th>
    </tr>
    </thead>
    <tbody>
    {foreach $fields as $field_id => $field}
    <tr class="reviewsplus-entity-field"
        data-id="{$field_id}"
        data-key="{htmlspecialchars($field['key'])}"
        data-name="{htmlspecialchars($field['name'])}"
        data-type="{$field['type']}"
        data-required="{intval($field['required'])}"
        data-show="{intval($field['show'])}"
    >
        <td><i class="icon16 sort"></i></td>
        <td class="reviewsplus-entity-field-name">{htmlspecialchars($field['name'])}</td>
        <td>
            {if array_key_exists($field['type'] ,$field_types)}
            {$field_types[$field['type']]['name']}
            {else}
            {$field_types['text']['name']}
            {/if}
        </td>
        <td><a href="#" class="reviewsplus-entity-field-edit"><i class="icon16 edit-bw"></i></a> </td>
        <td class="reviewsplus-entity-field-required">
            {if intval($field['required']) > 0}
            <i class="icon16 status-blue" title="Да"></i>
            {else}
            <i class="icon16 status-gray" title="Нет"></i>
            {/if}
        </td>
        <td  class="reviewsplus-entity-field-show">
            {if intval($field['show']) > 0}
            <i class="icon16 status-green" title="Да"></i>
            {else}
            <i class="icon16 status-gray" title="Нет"></i>
            {/if}
        </td>
        <td>
            {if $field['func']=='dop'}
            <a href="#" class="reviewsplus-entity-field-delete"><i class="icon16 delete"></i></a>
            {else}
            <i class="icon16 lock-bw" title="Доступно только скрытие поля"></i>
            {/if}
        </td>
    </tr>
    {/foreach}
    </tbody>
    <tfoot>
    <tr>
        <td colspan="7" style="text-align: center;"><a href="#" class="reviewsplus-entity-fields-add button blue">Добавить поле</a>
        </td>
    </tr>
    </tfoot>
</table>
{/function}
<link href="{$plugin_templates->getTemplateUrl('backend_css')}" rel="stylesheet" type="text/css">
<script src="{$plugin_templates->getTemplateUrl('backend_js')}"></script>
{$field_types = shopReviewsplusPluginHelper::getFieldTypes()}
<script>
    $.shopReviewsplusPluginEntity.Field_types = {json_encode($field_types)};
    $.shopReviewsplusPluginEntity.fields_keys = {json_encode($type_keys)};

</script>
<div id="reviewsplus-field-dialog" style="display: none;">
    <h2></h2>

        <input type="hidden" name="field[id]" id="reviewsplus-field-id"  value=""  />
        <input type="hidden" name="entity" id="reviewsplus-field-entity"  value=""  />
        <input type="hidden" name="entity_id" id="reviewsplus-field-entity_id"  value=""  />
        <div class="fields form">
            <div class="fields-group">
                <div class="field">
                    <div class="name">Название</div>
                    <div class="value"><input type="text" name="field[name]" id="reviewsplus-field-name" maxlength="50"/></div>
                </div>
                <div class="field reviewsplus-field-type-static" style="display: none">
                    <div class="name">Тип поля</div>
                    <div class="value" style="font-weight: bold;"></div>
                </div>
                <div class="field reviewsplus-field-key-static" style="display: none">
                    <div class="name">Ключ поля</div>
                    <div class="value" style="font-weight: bold;"></div>
                </div>
                <div class="field reviewsplus-field-type">
                    <div class="name">Тип поля</div>
                    <div class="value">
                        <select name="field[type]" id="reviewsplus-field-type">
                            {foreach shopReviewsplusPluginReviewsFields::getFieldTypes() as $type => $name}
                            <option value="{$type}">{$name['name']}</option>
                            {/foreach}
                        </select>
                    </div>
                </div>
                <div class="field reviewsplus-field-key">
                    <div class="reviewsplus-field-key-select">
                        <div class="name">Выберите ключ поля</div>
                        <div class="value">
                            <div class="reviewsplus-field-key-select-container"></div>
                            <p class="hint">Рекомендуется выбрать ключ поля из уже существующих, если нет подходящего то можете создать
                                <a href="#" class="reviewsplus-field-key-type-toggle">новый</a></p>
                        </div>
                    </div>
                    <div class="reviewsplus-field-key-new" style="display: none;">
                        <div class="name">Ключ поля</div>
                        <div class="value"><input type="text" name="field[key]" id="reviewsplus-field-key" maxlength="50"/>
                            <p class="hint">Ключ должен быть кнаписан на латинице без цифр и пробелов.<br>
                                <a href="#" class="reviewsplus-field-key-type-toggle">Выбрать из существующих</a>
                            </p></div>
                    </div>
                </div>
                <div class="field">
                    <div class="name">Обязательное</div>
                    <div class="value">
                        <select name="field[required]" id="reviewsplus-field-required">
                        <option value="1">Да</option>
                        <option value="0">Нет</option>
                    </select>
                    </div>
                </div>
                <div class="field">
                    <div class="name">Показывать</div>
                    <div class="value">
                        <select name="field[show]" id="reviewsplus-field-show">
                            <option value='1'>
                                Да
                            </option>
                            <option value='0'>
                                Нет
                            </option>
                        </select>
                    </div>
                </div>
                <div class="field">
                    <div class="name"></div>
                    <div class="value"></div>
                </div>
            </div>
        </div>
</div>

<div class="reviewsplus-settings">
    <div class="sidebar left200px">
        <h1>Отзывы PRO</h1>
        <ul class="menu-v reviewsplus-general-menu">
            <li class="selected"><a href="#"  data-tab="tab-general">Общие настройки</a></li>
            <li><a href="#"  data-tab="tab-products">Отзывы о товарах</a></li>
            <li><a href="#"  data-tab="tab-storefronts">Отзывы о магазинах</a></li>
            <li><a href="#"  data-tab="tab-custom">Произвольные отзывы</a></li>
        </ul>
    </div>

    <div class="content left200px blank bordered-left">
        <div class="fields form">
            <form action="?module=plugins&id=reviewsplus&action=Save" method="post" id="plugins-settings-form">
                {$wa->csrf()}
                <div class="tabs-content tabs-general">
                    <div class="block double-padded block-tab" id="tab-general">
                        <h2>Общие настройки</h2>
                        <div class="field-group">
                            <!--  Плагин включен  -->
                            <div class="field">
                                <div class="name">
                                    Плагин включен
                                </div>
                                <div class="value">
                                    <input type="hidden" name="shop_reviewsplus[state]" value="0">
                                    <input type="checkbox" name="shop_reviewsplus[state]" value="1"{if isset($settings.state) && $settings.state} checked{/if}>
                                </div>
                            </div>
                            <!--  Уведомления о новых отзывах  -->
                            <h3>Уведомления</h3>
                            <div class="field">
                                <div class="name">
                                    Почта для уведомлений
                                </div>
                                <div class="value">
                                    <input type="text" name="shop_reviewsplus[email]" value="{if isset($settings['email']) && !empty($settings['email'])}{$settings['email']|escape}{/if}"  />
                                </div>
                            </div>
                            <div class="field">
                                <div class="name">
                                    Уведомлять об отзывах продуктов
                                </div>
                                <div class="value">
                                    <input type="hidden" name="shop_reviewsplus[product_notice]" value="0">
                                    <input type="checkbox" name="shop_reviewsplus[product_notice]" value="1"  {if isset($settings['product_notice']) && $settings['product_notice'] == 1} checked="checked"{/if} />
                                </div>
                            </div>
                            <div class="field">
                                <div class="name">
                                    Уведомлять об отзывах магазина
                                </div>
                                <div class="value">
                                    <input type="hidden" name="shop_reviewsplus[storefront_notice]" value="0">
                                    <input type="checkbox" name="shop_reviewsplus[storefront_notice]" value="1"  {if isset($settings['storefront_notice']) && $settings['storefront_notice'] == 1} checked="checked"{/if} />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="block double-padded block-tab  reviewsplus-products-settings" id="tab-products" style="display: none;">
                        <div class="field-group"><h2>Настройки отзывов о товарах</h2></div>
                        <ul class="menu-h tabs products-menu">
                            <li class="selected"><a href="#"  data-tab="tab-products-general">Основные</a></li>
                            <li><a href="#"  data-tab="tab-products-coupon">Купон за отзыв</a></li>
                            <li><a href="#"  data-tab="tab-products-fields">Поля отзыва</a></li>
                            <li><a href="#"  data-tab="tab-products-templates">Шаблоны</a></li>
                        </ul>
                        <div class="tab-content">
                            <!-- Основные настройки продуктов -->
                            <div class="block double-padded" id="tab-products-general">
                                <!--  Количество отзывов на странице -->
                                <div class="field">
                                    <div class="name">Количество отзывов на странице</div>
                                    <div class="value">
                                         <input name="shop_reviewsplus[product_reviews_per_page]" type="text"  placeholder="0" value="{if isset($settings['product_reviews_per_page']) && intval($settings['product_reviews_per_page'])}{intval($settings['product_reviews_per_page'])}{/if}"/>
                                        <p class="hint">
                                            <br/>Оставьте поле пустым (или 0) для показа всех отзывов на одной странице</p>
                                    </div>
                                </div>
                                <!--  Комментирование отзывов -->
                                <div class="field">
                                    <div class="name">Комментирование отзывов</div>
                                    <div class="value">
                                        <input type="hidden" name="shop_reviewsplus[product_reviews_answers]" value="0">
                                        <input type="checkbox" name="shop_reviewsplus[product_reviews_answers]" value="1" {if isset($settings['product_reviews_answers']) && $settings['product_reviews_answers'] == 1} checked="checked"{/if} />
                                        <p class="hint">
                                          При включении пользователи смогут комментировать отзывы
                                        </p>
                                    </div>
                                </div>
                                <!-- Текст об отсутствии отзывов  -->
                                <div class="field">
                                    <div class="name">Текст об отсутствии отзывов</div>
                                    <div class="value">
                                        <input type="text"  style="width: 50%;"  name="shop_reviewsplus[product_noreviews]" placeholder="Отзывы пока отсутствуют. Станьте первым!" value="{if isset($settings['product_noreviews']) && !empty($settings['product_noreviews'])}{$settings['product_noreviews']|escape}{/if}"  />
                                    </div>
                                </div>
                                <!-- Сортировка отзывов  -->
                                <div class="field">
                                    <div class="name">Сортировка отзывов</div>
                                    <div class="value">
                                        <select name='shop_reviewsplus[product_reviews_sort]'>
                                            <option value="datetime"  {if isset($settings["product_reviews_sort"]) && $settings["product_reviews_sort"] == 'datetime'} selected {/if} >Дата</option>
                                            <option value="rate" {if isset($settings["product_reviews_sort"]) && $settings['product_reviews_sort'] == 'rate'} selected {/if}> Рейтинг </option>
                                        </select>
                                        <p class="hint">
                                            По какому полю отбирать отзывы, сортировка по убыванию от большего к меньшему.
                                        </p>
                                    </div>
                                </div>
                                <!-- Модерация  -->
                                <div class="field">
                                    <div class="name">Модерация</div>
                                    <div class="value">
                                        <input type="hidden"  name="shop_reviewsplus[product_moderate]"  value="0">
                                        <input type="checkbox"  name="shop_reviewsplus[product_moderate]"  value="1" {if isset($settings['product_moderate']) && $settings['product_moderate'] == 1}  checked="checked" {/if} />
                                        <p class="hint">Если включена модерация, новые отзывы будут публиковаться только после подтвержения менеждером магазина, сам пользователь сможет видеть свой добавленный отзыв</p>
                                    </div>
                                </div>
                                <!-- Капча  -->
                                <div class="field">
                                    <div class="name">Капча</div>
                                    <div class="value">
                                        <input type="hidden"  name="shop_reviewsplus[product_captcha]"  value="0">
                                        <input type="checkbox"  name="shop_reviewsplus[product_captcha]"  value="1" {if isset($settings['product_captcha']) && $settings['product_captcha'] == 1}  checked="checked"{/if} />
                                        <p class="hint">
                                            Если в настройках магазина выбрано добавление отзыва с капчей<br/>
                                            Выводить капчу для:<br/>
                                            Гости - капча будет выводиться ТОЛЬКО для не зарегистрированных пользователей<br/>
                                            Все - капча будет выводиться для всех
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <!-- Настройки купонов продуктов -->
                            <div class="block double-padded" id="tab-products-coupon" style="display: none;">
                                {$coupon_enable = shopDiscounts::isEnabled('coupons')}
                                {if !$coupon_enable}
                                {$settings['discount_state'] = 0}
                                {/if}
                                <h4>Купон со скидкой за отзыв</h4>
                                {if !$coupon_enable}
                                <div style="color: red; margin-bottom: 5px; font-size: 0.9em;">
                                    Скидка по купонам отключена в настройках магазина
                                </div>
                                {else}
                                    <div class="gray">
                                        ВНИМАНИЕ!!! Купон будет отправляться на почту оставившего отзыв, <br/>
                                        поэтому рекомендуется сделать поле email обязательным!
                                    </div>
                                {/if}
                                <div class="field">
                                    <div class="name">Включен</div>
                                    <div class="value">
                                        <input type="hidden" name="shop_reviewsplus[product_discount_state]"  value="0" />
                                        <input type="checkbox" name="shop_reviewsplus[product_discount_state]"  value="1"  id="reviewsplus-product-discount-state" {if isset($settings['product_discount_state']) && $settings['product_discount_state'] == 1}  checked="checked"  {/if}   {if !$coupon_enable} disabled="disabled" {/if}  />
                                    </div>
                                </div>
                                <div class="field">
                                    <div class="name">Тип скидки</div>
                                    <div class="value">
                                        {$cur = $wa->shop->currency()}
                                        <div class="hint">
                                            В валюте - скидка в {$cur}<br/>
                                            % - скидка в процентах
                                        </div>
                                        <select name="shop_reviewsplus[product_coupon_type]" id='reviewsplus-type-selector'>
                                            <option value='currency'
                                                    {if isset($settings['product_coupon_type']) && $settings['product_coupon_type'] == 'currency'}
                                            selected='selected'
                                            {/if} >В валюте</option>
                                            <option value='percent'
                                                    {if isset($settings['product_coupon_type']) && $settings['product_coupon_type'] == 'percent'}
                                            selected='selected'
                                            {/if} >В процентах</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="field">
                                    <div class="name">Размер скидки</div>
                                    <div class="value">
                                        <input type="text" name="shop_reviewsplus[product_coupon_value]"  style='width: 50px;'  value="{if isset($settings['product_coupon_value']) && !empty($settings['product_coupon_value'])}{$settings['product_coupon_value']|escape}{/if}"  />
                                        <span class='reviewsplus-coupon-type'>
                                            {if isset($settings['product_coupon_type']) && $settings['product_coupon_type'] == 'currency'}
                                                 {$cur}
                                            {elseif isset($settings['product_coupon_type']) && $settings['product_coupon_type'] == 'percent'}
                                            %
                                            {/if}
                                        </span>
                                    </div>
                                </div>

                                <div class="field">
                                    <div class="name">Сколько действует купон</div>
                                    <div class="value">

                                        <input type="text"
                                               name="shop_reviewsplus[product_coupon_days]"
                                               style='width: 50px;'
                                               {if isset($settings['product_coupon_days']) && !empty($settings['product_coupon_days'])}
                                        value="{$settings['product_coupon_days']|escape}"
                                        {/if}
                                        />
                                        <div class="hint">
                                            Число дней<br/>
                                            Ноль (0), если бессрочный
                                        </div>
                                    </div>
                                </div>
                                <div class="field">
                                    <div class="name">Текст о скидке</div>
                                    <div class="value">
                                        <input type="hidden" name="shop_reviewsplus[product_discount_text]"  value="0">
                                        <input type="text"
                                               name="shop_reviewsplus[product_discount_text]"
                                               value="{if isset($settings['product_discount_text'])}{$settings['product_discount_text']}{/if}" />
                                    </div>
                                </div>

                            </div>
                            <!-- Настройки полей продуктов -->
                            <div class="block double-padded" id="tab-products-fields" style="display: none;">
                                {if array_key_exists('',$product_entities_fields)}
                                    {$fields =  $product_entities_fields['']}
                                {elseif array_key_exists(0, $product_entities_fields)}
                                    {$fields =  $product_entities_fields[0]}
                                {else}
                                    {$fields =  []}
                                {/if}
                                <div class="field-group">
                                    <div class="field reviewsplus-entity" data-entity="product" data-entity_id="">
                                        <h2>Поля отзывов по умолчанию</h2>
                                        {fields_table fields=$fields}
                                    </div>
                               </div>
                                <div class="field-group">
                                <h2>Поля отзывов по типам товаров</h2>
                                {foreach $product_types as $type}
                                    {if array_key_exists($type['id'], $product_entities_fields)}
                                    {$fields = $product_entities_fields[$type['id']]}
                                    {else}
                                    {$fields = []}
                                    {/if}
                                    <div class="reviewsplus-entities">
                                        <div class="reviewsplus-entities-container">
                                            {if !empty($fields)}
                                            <div class="field reviewsplus-entity" data-entity="product" data-entity_id="{$type['id']}">
                                                <h3>Поля типа товаров {$type['name']}</h3>
                                                <div class="reviewsplus-entity-fields">
                                                    {fields_table fields=$fields hide=true}
                                                    <div class="reviewsplus-entity-toggle-fields">
                                                        <a href="#" class="inline reviewsplus-entity-toggle-fields-link">
                                                            <i class="icon16 settings"></i>Настройки
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                            {/if}
                                        </div>
                                        {if empty($fields)}
                                        <div class="reviewsplus-entity-create-container">
                                            <h3>Поля типа товаров {$type['name']}</h3>
                                            <p>Отдельные поля для типа не созданы!
                                                <a href="#" class="inline reviewsplus-entity-create" data-entity="product"
                                                   data-entity_id="{$type['id']}" data-entity_name="Поля типа товаров {$type['name']}"><i class="icon16 add"></i>Создать</a>
                                            </p>
                                        </div>
                                        {else}

                                        {/if}
                                    </div>

                                {/foreach}
                                </div>
                            </div>

                            <div class="block double-padded" id="tab-products-templates" style="display: none;">
                                <h2>Настройки шаблонов показа</h2>
                                <div class="field">
                                    <div class="name">Какие шаблоны использовать</div>
                                    <div class="value">
                                        {$settings['product_templates_type']}
                                        <select  name="shop_reviewsplus[product_templates_type]" id="product_templates_type">
                                            <option value="plugin" {if isset($settings['product_templates_type']) && $settings['product_templates_type']=='plugin'} selected{/if}>Шаблоны плагина</option>
                                            <option value="theme" {if !isset($settings['product_templates_type']) || $settings['product_templates_type']=='theme'} selected{/if}>Шаблоны темы дизайна (Рекомендуется)</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="field">
                                    {$themes = shopReviewsplusPluginTemplates::getThemes()}
                                    {$theme_templates = $plugin_templates->getRegisteredTemplates('theme')}
                                    {if !empty($themes)}
                                    {foreach $themes as $key => $theme}
                                    {if $theme}
                                    <div class="reviewsplus-theme" style="margin-top: 10px;">
                                        <h4>{$theme->getName()}</h4>
                                        {$create_files = false}
                                        {foreach $theme_templates as $key => $template_data}
                                        {if $plugin_templates->themeTemplateExists($template_data['path'], $theme)}
                                        <div>
                                            <i class="icon16 yes"></i>{$template_data['path']} найден!
                                            <a href="?action=storefronts#/design/theme={$theme->id}&file={urlencode($plugin_templates->getThemePluginPath($template_data['path']))}" target="_blank">Редактировать</a>
                                        </div>
                                        {else}
                                        {$create_files = true}
                                        <div class="reviewsplus-file-exists" style="display: none;"><i class="icon16 yes"></i> {$template_data['path']} найден!
                                            <a href="?action=storefronts#/design/theme={$theme->id}&file={urlencode($plugin_templates->getThemePluginPath($template_data['path']))}" target="_blank">Редактировать</a>
                                        </div>
                                        <div class="reviewsplus-file-not-exists"><i class="icon16 no"></i> {$template_data['path']} не существует! </div>
                                        {/if}
                                        {/foreach}
                                        {if $create_files}
                                        <div class="reviewsplus-theme-notice field">
                                            <a href="?plugin=reviewsplus&action=createFiles&theme={$theme->id}" class="reviewsplus-theme-create-templates button red">Создать файлы</a>
                                            <p class="message"></p>
                                        </div>
                                        {/if}
                                    </div>
                                    {/if}
                                    {/foreach}
                                    {/if}
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="field">
                    <div class="value submit">
                        <input type="submit" class="button green" value="[s`Save`]">
                        <span id="plugins-settings-status" style="display:none"></span>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>


<script>
    $(document).ready(function () {
        /* Табы левого меню */
        $('.reviewsplus-general-menu a').click(function () {
            $(this).closest('.reviewsplus-general-menu').find('li').removeClass('selected');
            $(this).closest('li').addClass('selected');
            $('.reviewsplus-settings').find('.tabs-general').find('.block-tab').hide();
            var tab = $(this).data('tab');
            $('#'+tab).show();

        });
        /* Табы продуктов */
        $('.products-menu a').click(function () {
            $(this).closest('.products-menu').find('li').removeClass('selected');
            $(this).closest('li').addClass('selected');
            $(this).closest('.block-tab').find('.tab-content').children().hide();
            var tab = $(this).data('tab');
            $('#'+tab).show();

        });
        /* Создание файлов плагина в теме дищайна */
        $('.reviewsplus-theme-create-templates').click(function () {
            var self = $(this);
            self.closest('.reviewsplus-theme-notice').find('.message').html('<i class="icon16 loading"></i>Файлы копируются ');
            $.get(self.attr('href'), function(response) {
                if(response.status == 'ok') {

                    self.closest('.reviewsplus-theme').find('.reviewsplus-file-not-exists').hide();
                    self.closest('.reviewsplus-theme').find('.reviewsplus-file-exists').show();
                    self.closest('.reviewsplus-theme-notice').remove();
                    self.closest('.reviewsplus-theme-notice').find('.message').html('');
                } else {
                    self.closest('.reviewsplus-theme-notice').find('.message').html(response.errors.join(' '));
                    setTimeout(function () {
                        self.closest('.reviewsplus-theme-notice').find('.message').html('');
                    },1700)
                }
            });
            return false;
        });
        $("#plugins-settings-form").submit(function () {
            var f = $(this);
            var action = f.attr('action');
            var msg = '';

            $.ajax({
                url: action,
                data: f.serialize(),
                dataType: "json",
                type: "post",
                success: function(response) {

                    if(!response.data.error) {
                        msg = '<i style="vertical-align:middle" class="icon16 yes"></i>' + response.data.message;
                    } else {
                        msg = '<i style="vertical-align:middle" class="icon16 cross"></i>' + response.data.error_msg;
                    }

                },
                error: function(jqXHR, errorText, errorThrown) {
                    if(console){
                        console.log(jqXHR, errorText, errorThrown);
                    }
                },
                complete: function() {
                    var status =  $('#plugins-settings-status');
                    status.html(msg);
                    status.show();
                    setTimeout(function(){
                        status.hide(1500);
                        status.empty();
                    }, 3000);
                }
            });
            return false;
        });
    });
</script>